/*******************************************************************************
 * ParticleModuleTypeDataPhysX generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleTypeDataPhysX extends ParticleModuleTypeDataBase
    native(Particle)
    editinlinenew
    collapsecategories
    hidecategories(Object,Object,Object);

struct native PhysXEmitterVerticalLodProperties
{
    var() float WeightForFifo;
    var() float WeightForSpawnLod;
    var() float SpawnLodRateVsLifeBias;
    var() float RelativeFadeoutTime;

    structdefaultproperties
    {
        WeightForFifo=1.0
        WeightForSpawnLod=1.0
        SpawnLodRateVsLifeBias=1.0
        RelativeFadeoutTime=0.0
    }
};

var(PhysXEmitter) PhysXParticleSystem PhysXParSys;
var(PhysXEmitter) PhysXEmitterVerticalLodProperties VerticalLod;

defaultproperties
{
    VerticalLod=(WeightForFifo=1.0,WeightForSpawnLod=1.0,SpawnLodRateVsLifeBias=1.0,RelativeFadeoutTime=0.0)
}